gi-harfbuzz-0.0.10: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.HarfBuzz.Structs.BlobT

Contents

- Exported types
- Methods

Description

Data type for blobs. A blob wraps a chunk of binary data and facilitates its lifecycle management between a client program and HarfBuzz.

Synopsis

- newtype BlobT = BlobT (ManagedPtr BlobT)

# Exported types

newtype BlobT Source #

Memory-managed wrapper type.

Constructors

BlobT (ManagedPtr BlobT) |

#### Instances

Instances details

Eq BlobT Source # |
Instance details Defined in GI.HarfBuzz.Structs.BlobT Methods (==) :: BlobT -> BlobT -> Bool Source # (/=) :: BlobT -> BlobT -> Bool Source #
GBoxed BlobT Source # |
Instance details Defined in GI.HarfBuzz.Structs.BlobT
ManagedPtrNewtype BlobT Source # |
Instance details Defined in GI.HarfBuzz.Structs.BlobT Methods toManagedPtr :: BlobT -> ManagedPtr BlobT Source #
TypedObject BlobT Source # |
Instance details Defined in GI.HarfBuzz.Structs.BlobT Methods glibType :: IO GType Source #
HasParentTypes BlobT Source # |
Instance details Defined in GI.HarfBuzz.Structs.BlobT
IsGValue (Maybe BlobT) Source # | Convert `BlobT` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.BlobT Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe BlobT -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe BlobT) Source #
type ParentTypes BlobT Source # |
Instance details Defined in GI.HarfBuzz.Structs.BlobT type ParentTypes BlobT = '[] :: [Type]

# Methods